ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-15374) Check To Ensure That All Components Are On The Same Version Before Upgrading
Date Fri, 11 Mar 2016 19:00:39 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-15374?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15191393#comment-15191393
] 

Hudson commented on AMBARI-15374:
---------------------------------

SUCCESS: Integrated in Ambari-branch-2.2 #502 (See [https://builds.apache.org/job/Ambari-branch-2.2/502/])
AMBARI-15374. Check To Ensure That All Components Are On The Same (dlysnichenko: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=b400a051051a7f621e22b0048e91b7d6d8f9105e])
* ambari-server/src/test/java/org/apache/ambari/server/checks/ServiceComponentHostVersionMatchCheckTest.java
* ambari-server/src/main/java/org/apache/ambari/server/checks/CheckDescription.java
* ambari-server/src/main/java/org/apache/ambari/server/checks/UpgradeCheckGroup.java
* ambari-server/src/main/java/org/apache/ambari/server/checks/ServiceComponentHostVersionMatchCheck.java


> Check To Ensure That All Components Are On The Same Version Before Upgrading
> ----------------------------------------------------------------------------
>
>                 Key: AMBARI-15374
>                 URL: https://issues.apache.org/jira/browse/AMBARI-15374
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>    Affects Versions: 2.2.2
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>             Fix For: 2.2.2
>
>         Attachments: AMBARI-15374.patch
>
>
> Before beginning an upgrade, there should be a pre-upgrade check which ensures that all
known, versionable components are reporting the same version. If any host component is reporting
a version which does not match the current repository version, then a warning should be produced.
The warning should provide information on the failed components, the expected version, and
the version they are reporting.
> Note that this is only for Ambari 2.2.x; Ambari 2.4.0 uses a new workflow for how versions
are recorded and stored during upgrade and does not need this.
> There are two ways to go about this:
> - Compare each service component host version to that of the {{CURRENT}} {{repo_version}}.
However, there could be cases where the {{repo_version}} has not been calculated yet.
> - Compare each service component host version to each other.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message